[gexiv2] Update autogen.sh according to Porting guide



commit 147d292b5a378e3b0c2dc5bd0e112661f2fbbfc6
Author: Pablo Castellano <pablo anche no>
Date:   Tue Nov 8 15:32:53 2016 +0100

    Update autogen.sh according to Porting guide
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774105

 autogen.sh |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index a06d7eb..b44b7bb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,8 +15,24 @@ cd $srcdir
 # shellcheck disable=SC2016
 PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
 
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** '$0' command line." >&2
+        echo "" >&2
+fi
+
 aclocal --install || exit 1
 gtkdocize || exit 1
 autoreconf --verbose --force --install || exit 1
 
 cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]